cURL
curl --request GET \
--url https://api.maesn.dev/accounting/journalEntries/{journalEntryId}/Attachments \
--header 'X-ACCOUNT-KEY: <x-account-key>' \
--header 'X-API-KEY: <x-api-key>'import requests
url = "https://api.maesn.dev/accounting/journalEntries/{journalEntryId}/Attachments"
headers = {
"X-API-KEY": "<x-api-key>",
"X-ACCOUNT-KEY": "<x-account-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-KEY': '<x-api-key>', 'X-ACCOUNT-KEY': '<x-account-key>'}
};
fetch('https://api.maesn.dev/accounting/journalEntries/{journalEntryId}/Attachments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"warnings": [
"Field not used by target system"
],
"pagination": {
"total": 125,
"perPage": 50,
"currentPage": 1,
"totalPages": 3
}
},
"data": [
{
"id": "document id",
"base64Encoded": true,
"content": "content",
"contentType": "application/pdf",
"fileName": "invoice.pdf"
}
]
}Journal Entries
Get journal entry attachments
GET
/
accounting
/
journalEntries
/
{journalEntryId}
/
Attachments
cURL
Field support per integration

Business Central
Business Central
If you’re not using the Interactive Authentication Flow, make sure the query parameters
environmentName and companyId are correctly populated.
You can obtain these values by using the GET Environments and GET Companies endpoints available under the Authentication section.string
string
boolean

Sage Active
Sage Active
If you’re not using the Interactive Authentication Flow, make sure the query parameter
companyId is correctly populated.
You can obtain this value by using the GET Companies endpoint available under the Authentication section. Please use the id field as the companyId.string
string
string
boolean
Headers
API key
Example:
"example value"
Account key
Example:
"example value"
Path Parameters
Last modified on July 9, 2026
Was this page helpful?